package com.zjsgfa.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zjsgfa.project.zjsgfa.mapper.SjFdsgcsLjzjzhMapper;
import com.zjsgfa.project.zjsgfa.domain.SjFdsgcsLjzjzh;
import com.zjsgfa.project.zjsgfa.service.ISjFdsgcsLjzjzhService;

/**
 * 设计信息-分段施工措施-邻井钻具组合Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-09-03
 */
@Service
public class SjFdsgcsLjzjzhServiceImpl implements ISjFdsgcsLjzjzhService 
{
    @Autowired
    private SjFdsgcsLjzjzhMapper sjFdsgcsLjzjzhMapper;

    /**
     * 查询设计信息-分段施工措施-邻井钻具组合
     * 
     * @param id 设计信息-分段施工措施-邻井钻具组合主键
     * @return 设计信息-分段施工措施-邻井钻具组合
     */
    @Override
    public SjFdsgcsLjzjzh selectSjFdsgcsLjzjzhById(Long id)
    {
        return sjFdsgcsLjzjzhMapper.selectSjFdsgcsLjzjzhById(id);
    }

    /**
     * 查询设计信息-分段施工措施-邻井钻具组合列表
     * 
     * @param sjFdsgcsLjzjzh 设计信息-分段施工措施-邻井钻具组合
     * @return 设计信息-分段施工措施-邻井钻具组合
     */
    @Override
    public List<SjFdsgcsLjzjzh> selectSjFdsgcsLjzjzhList(SjFdsgcsLjzjzh sjFdsgcsLjzjzh)
    {
        return sjFdsgcsLjzjzhMapper.selectSjFdsgcsLjzjzhList(sjFdsgcsLjzjzh);
    }

    /**
     * 新增设计信息-分段施工措施-邻井钻具组合
     * 
     * @param sjFdsgcsLjzjzh 设计信息-分段施工措施-邻井钻具组合
     * @return 结果
     */
    @Override
    public int insertSjFdsgcsLjzjzh(SjFdsgcsLjzjzh sjFdsgcsLjzjzh)
    {
        return sjFdsgcsLjzjzhMapper.insertSjFdsgcsLjzjzh(sjFdsgcsLjzjzh);
    }

    /**
     * 修改设计信息-分段施工措施-邻井钻具组合
     * 
     * @param sjFdsgcsLjzjzh 设计信息-分段施工措施-邻井钻具组合
     * @return 结果
     */
    @Override
    public int updateSjFdsgcsLjzjzh(SjFdsgcsLjzjzh sjFdsgcsLjzjzh)
    {
        return sjFdsgcsLjzjzhMapper.updateSjFdsgcsLjzjzh(sjFdsgcsLjzjzh);
    }

    /**
     * 批量删除设计信息-分段施工措施-邻井钻具组合
     * 
     * @param ids 需要删除的设计信息-分段施工措施-邻井钻具组合主键
     * @return 结果
     */
    @Override
    public int deleteSjFdsgcsLjzjzhByIds(Long[] ids)
    {
        return sjFdsgcsLjzjzhMapper.deleteSjFdsgcsLjzjzhByIds(ids);
    }

    /**
     * 删除设计信息-分段施工措施-邻井钻具组合信息
     * 
     * @param id 设计信息-分段施工措施-邻井钻具组合主键
     * @return 结果
     */
    @Override
    public int deleteSjFdsgcsLjzjzhById(Long id)
    {
        return sjFdsgcsLjzjzhMapper.deleteSjFdsgcsLjzjzhById(id);
    }
}
